// ********************************************************************************** //
// The contents of this file are subject to the Mozilla Public License Version 1.1    //
// (the "License"); you may not use this file except in compliance with the License.  //
// You may obtain a copy of the License at http://www.mozilla.org/MPL/                //
//                                                                                    //
// Software distributed under the License is distributed on an "AS IS" basis,         //
// WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License for the  //
// specific language governing rights and limitations under the License.              //
//                                                                                    //
// The Original Code provided by Mozilla's Firefox is XUL, Javascript, and CSS.       // 
// Contributor - Intuit Inc. (c) 2007                                                 //
// ********************************************************************************** //

// -- LOAD DIALOG -- //

var doNotRecordUrl = window.arguments[0];
var doNotRecordList = window.arguments[1];

function thumbstrips_onDoNotRecordDialogLoad()
{
    var customTextBox = document.getElementById("thumbstripsUserSpecifiedDoNotRecord");    
    customTextBox.value = doNotRecordUrl;
//    customTextBox.setAttribute("disabled", "false");
}

function thumbstrips_onDoNotRecordDialogAccept()
{
    var valueToStore = doNotRecordUrl;
    var entireDomainSelection = document.getElementById("thumbstripsDoNotRecordDomain").selected;
    var customEntrySelection = document.getElementById("thumbstripsDoNotRecordCustom").selected;
        
    if(entireDomainSelection===true)
    {   
        var startSearchIndex = 0;
        
        //  first try to strip out https://
	    if (valueToStore.substr(0, 8) === "https://") 
	    {
	        startSearchIndex = 8;
	    }
	    else if(valueToStore.substr(0,7) == "http://")
	    {
	        startSearchIndex = 7;
        }	
        
        var domainEnd = valueToStore.indexOf("/", startSearchIndex);
            
        if(domainEnd > 0)
            newValue = valueToStore.substring(0, domainEnd);
            
        valueToStore = newValue;
    }
    else if(customEntrySelection==true)
    {
        var customTextBox = document.getElementById("thumbstripsUserSpecifiedDoNotRecord");    
        valueToStore = customTextBox.value;
    }
    
    doNotRecordList.AddToDoNotRecordList(valueToStore);        	
}

function thumbstripsDoNotRecordRadio_Click()
{
//    var customEntrySelection = document.getElementById("thumbstripsDoNotRecordCustom").selected;
//    var customTextBox = document.getElementById("thumbstripsUserSpecifiedDoNotRecord");    
//    
//    if(customerEntrySelection==true)
//    {
//        customTextBox.setAttribute("disabled", "false");
//    }
//    else
//    {
//        customTextBox.setAttribute("disabled", "true");
//    }        
}
