// ********************************************************************************** //
// The contents of this file are subject to the Mozilla Public License Version 1.1    //
// (the "License"); you may not use this file except in compliance with the License.  //
// You may obtain a copy of the License at http://www.mozilla.org/MPL/                //
//                                                                                    //
// Software distributed under the License is distributed on an "AS IS" basis,         //
// WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License for the  //
// specific language governing rights and limitations under the License.              //
//                                                                                    //
// The Original Code provided by Mozilla's Firefox is XUL, Javascript, and CSS.       // 
// Contributor - Intuit Inc. (c) 2007                                                 //
// ********************************************************************************** //

// -- LOAD DIALOG -- //

var thumbstrips_prefs = window.arguments[0];
var viewDoNotRecordList = window.arguments[1];

function thumbstrips_onViewDoNotRecordDialogLoad()
{
	currentDialog = document.getElementById("thumbstripsViewDoNotRecordDialog");
	var removeButton = currentDialog.getButton("extra1");
	removeButton.setAttribute("oncommand", "thumbstrips_onRemoveSelected();");
    
    if(viewDoNotRecordList!=null)
    {
        var doNotRecordItems = viewDoNotRecordList.GetAllItems();

        var targetListBox = document.getElementById("thumbstripsDoNotRecordItems");
     
        if(targetListBox!=null)
        {
            for(var i = 0; i < doNotRecordItems.length; i++)
            {
            	var newListItem = document.createElement("listitem");
                newListItem.setAttribute("label", doNotRecordItems[i]);
                targetListBox.appendChild(newListItem);		
            }
        }
        
        doNotRecordItems = null;
    }
}

function thumbstrips_onRemoveSelected()
{
    var targetListBox = document.getElementById("thumbstripsDoNotRecordItems");
 
    for(var i = 0; i < targetListBox.childNodes.length; i++)
    {
        if(targetListBox.childNodes[i].getAttribute("selected")=="true")
        {
            if(targetListBox.childNodes[i].getAttribute("label")=="https://")
            {
                thumbstrips_prefs.setBoolPref("recording.doNotRecordSecureSites", false);
            }
            
            viewDoNotRecordList.RemoveFromList(targetListBox.childNodes[i].getAttribute("label"));
        }
    }
    
    currentDialog = document.getElementById("thumbstripsViewDoNotRecordDialog");
	currentDialog.acceptDialog();
}